> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# saintticketcategory

> This SoList provider generates the eJournal top-level categories, meant for the saint system

## "saintticketcategory" MDO List

This SoList provider generates the eJournal top-level categories, meant for the saint system

Implemented by the <see cref="T:SuperOffice.CRM.ArchiveLists.SaintTicketCategoryProvider">SaintTicketCategoryProvider</see> class.
The name of the MDO list is 'saintticketcategory'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/saintticketcategory
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("saintticketcategory", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name           | StyleHint | ExtraInfo |
| -- | -------------- | --------- | --------- |
| -1 | All            |           |           |
| 1  | Support        |           |           |
| 2  | Administration |           |           |
| 3  | Sale           |           |           |

## Related MDO Lists

* "saintticketcategoryheadings"
* "saintticketcategoryheadingswithallitem"
* "saintticketcategoryheadingswithallitemwithnoselection"
* "saintticketcategoryheadingswithnoselection"
* "saintticketcategorywithallitem"
* "saintticketcategorywithallitemwithnoselection"
* "saintticketcategorywithnoselection"


## Related topics

- [SimpleProject](/en/api/archive-providers/reference/simpleproject.md)
- [ContactProjects](/en/api/archive-providers/reference/contactprojects.md)
- [FreetextProject](/en/api/archive-providers/reference/freetextproject.md)
- [PersonProjects](/en/api/archive-providers/reference/personprojects.md)
- [ProjectMember](/en/api/archive-providers/reference/projectmember.md)
- [LinksProject](/en/api/archive-providers/reference/linksproject.md)
